Bug 1348861 - ironic-python-agent.initramfs should not have a yum cache
Summary: ironic-python-agent.initramfs should not have a yum cache
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: diskimage-builder
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 10.0 (Newton)
Assignee: Ben Nemec
QA Contact: Arik Chernetsky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-22 08:40 UTC by Attila Fazekas
Modified: 2016-12-14 15:41 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 15:41:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
OpenStack gerrit 334041 None None None 2016-06-24 19:01:42 UTC

Description Attila Fazekas 2016-06-22 08:40:44 UTC
Description of problem:
IPA agent does not expected to use yum, therefore it does not needs 178MB yum cache (uncompressed size.)

Even If IPA would try to use yum, the cache would be outdated.

Version-Release number of selected component (if applicable):
rhosp-director-images-ipa-10.0-20160617.2.el7ost.noarch

# ironic-python-agent.initramfs decompressed:
$ du -hs cpio/var/cache/*
24K	cpio/var/cache/ldconfig
0	cpio/var/cache/man
178M	cpio/var/cache/yum


Additional info:
Probably you can remove the the whole yum package content as well.

Comment 1 Dmitry Tantsur 2016-06-22 11:37:57 UTC
I thought we do it, hmm

Comment 2 Ben Nemec 2016-10-10 14:18:54 UTC
The upstream fix merged a long time ago, so this should be fixed in OSP 10.

Comment 4 mkovacik 2016-10-20 13:07:09 UTC
# This has been fixed indeed (checked on my undercloud):

[stack@undercloud tmp]$ file ironic-python-agent.initramfs
ironic-python-agent.initramfs: gzip compressed data, from Unix, last modified: Tue Oct 18 21:53:40 2016
[stack@undercloud tmp]$ zcat -f ironic-python-agent.initramfs > ironic-python-agent.cpio
[stack@undercloud tmp]$ cpio -vid < ironic-python-agent.cpio
# ---%<----
[stack@undercloud tmp]$ du -hs var/cache/*
du: cannot access ‘var/cache/*’: No such file or directory
[stack@undercloud tmp]$ du -hs var/cache/
4.0K	var/cache/
[stack@undercloud tmp]$ cat etc/redhat-release
Red Hat Enterprise Linux Server release 7.3 (Maipo)
[stack@undercloud tmp]$ sudo chroot . /bin/bash
[root@undercloud /]# rpm -qa '*agent*'
openstack-ironic-python-agent-1.5.1-0.20161003182151.c469789.el7ost.noarch
qemu-guest-agent-2.5.0-3.el7.x86_64
rhevm-guest-agent-common-1.0.12-3.el7ev.noarch
python-ironic-python-agent-1.5.1-0.20161003182151.c469789.el7ost.noarch
[root@undercloud /]#

Comment 6 Ben Nemec 2016-12-13 19:00:40 UTC
This is an internal cleanup only, it should have no user-visible impact.

Comment 8 errata-xmlrpc 2016-12-14 15:41:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.